Package org.apache.sling.spi.resource.provider

# Interface ProviderContext

@ProviderType public interface ProviderContext
The provider context...

Since:
  1.0.0 (Sling API Bundle 2.11.0)

## Field Summary

Fields
Modifier and Type
Field
Description
`static final long`
`EXCLUDED_PATHS_CHANGED`
This bit is set in `ResourceProvider.update(long)` if exclude paths changed.
`static final long`
`OBSERVATION_LISTENER_CHANGED`
This bit is set in `ResourceProvider.update(long)` if observation listeners changed.

## Method Summary

Modifier and Type
Method
Description
`PathSet`
`getExcludedPaths()`
Set of paths which are "hidden" by other resource providers.
`@NotNull ObservationReporter`
`getObservationReporter()`
Get the observation reporter for this instance.

## Field Details

### OBSERVATION_LISTENER_CHANGED

static final long OBSERVATION_LISTENER_CHANGED
This bit is set in `ResourceProvider.update(long)` if observation listeners changed.

See Also:
  - Constant Field Values

### EXCLUDED_PATHS_CHANGED

static final long EXCLUDED_PATHS_CHANGED
This bit is set in `ResourceProvider.update(long)` if exclude paths changed.

See Also:
  - Constant Field Values

## Method Details

### getObservationReporter

@NotNull @NotNull ObservationReporter getObservationReporter()
Get the observation reporter for this instance. If anything related to observation configuration changes, `ResourceProvider.update(long)` is called. From that point on this method needs to be called to get the updated/new observation reporter. The instance previously returned (before update was called) becomes invalid and must not be used anymore.

Returns:
  The observation reporter.

### getExcludedPaths

PathSet getExcludedPaths()
Set of paths which are "hidden" by other resource providers. If anything related to observation configuration changes, `ResourceProvider.update(long)` is called. From that point on this method will return a new path set with the updated/changed exclude paths.

Returns:
  A set of paths. The set might be empty